#if !defined(AFX_FRCONFIG_H__A29405E4_90DB_11D1_85EB_0040052F0B6E__INCLUDED_)
#define AFX_FRCONFIG_H__A29405E4_90DB_11D1_85EB_0040052F0B6E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// FRConfig.h : header file
//
#include "resource.h"

extern void SetFRConfig(const FRAMERELAY* pFR);
extern void GetFRConfig(FRAMERELAY* pFR);
/////////////////////////////////////////////////////////////////////////////
// CFRGeneral dialog

class CFRGeneral : public CPropertyPage
{
	DECLARE_DYNCREATE(CFRGeneral)

// Construction
public:
	CFRGeneral(FRAMERELAY * const pFR = NULL);
	~CFRGeneral();

// Dialog Data
	//{{AFX_DATA(CFRGeneral)
	enum { IDD = IDD_FRGeneral };
	CSliderCtrl	m_Injection;
	BOOL	m_BECNFC;
	DWORD	m_MaxFrameSize;
	CString	m_InjectionText;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFRGeneral)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   FRAMERELAY * m_pFR;
	// Generated message map functions
	//{{AFX_MSG(CFRGeneral)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////
// CFRLMI dialog

class CFRLMI : public CPropertyPage
{
	DECLARE_DYNCREATE(CFRLMI)

// Construction
public:
	CFRLMI(FRAMERELAY * const pFR = NULL);
	~CFRLMI();

// Dialog Data
	//{{AFX_DATA(CFRLMI)
	enum { IDD = IDD_FRLMI };
	CComboBox	m_LMIRevisionBox;
	BOOL	m_BandwidthControl;
	DWORD	m_LMIDLCI;
	BOOL	m_LMIFC;
	int		m_LMIRevision;
	DWORD	m_N1;
	DWORD	m_N2;
	DWORD	m_N3;
	DWORD	m_T1;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFRLMI)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   FRAMERELAY * m_pFR;
	// Generated message map functions
	//{{AFX_MSG(CFRLMI)
	afx_msg void OnSelchangeRevision();
	afx_msg void OnAdvanced();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};
/////////////////////////////////////////////////////////////////////////////
// CFRLMIAdv dialog

class CFRLMIAdv : public CPropertyPage
{
	DECLARE_DYNCREATE(CFRLMIAdv)

// Construction
public:
	CFRLMIAdv(FRAMERELAY * const pFR = NULL);
	~CFRLMIAdv();
// Dialog Data
	//{{AFX_DATA(CFRLMIAdv)
	enum { IDD = IDD_FRLMI_Advanced };
	CButton	m_DCEButton;
	BOOL	m_DCEOn;
	DWORD	m_T2;
	DWORD	m_T3;
	DWORD	m_N4;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFRLMIAdv)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
   FRAMERELAY * m_pFR;
	// Generated message map functions
	//{{AFX_MSG(CFRLMIAdv)
	afx_msg void OnDce();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FRCONFIG_H__A29405E4_90DB_11D1_85EB_0040052F0B6E__INCLUDED_)
